curl --request GET \
--url https://api.dfns.io/staking/stakes/{stakeId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"walletId": "<string>",
"status": "Active",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"requestBody": {
"protocol": "Babylon",
"walletId": "<string>",
"provider": "Figment",
"amount": "<string>",
"duration": 123,
"externalId": "<string>"
},
"dateCreated": "<string>",
"protocol": "Babylon",
"data": {
"finalityProviders": [
"<string>"
],
"covenantPubkeys": [
"<string>"
],
"magicBytes": "<string>",
"covenantThreshold": 123,
"minUnbondingTime": 123,
"lockHeight": 123
},
"actions": [
{
"id": "<string>",
"stakeId": "<string>",
"status": "PendingPolicyApproval",
"kind": "Stake",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"requestBody": {
"protocol": "Babylon",
"walletId": "<string>",
"provider": "Figment",
"amount": "<string>",
"duration": 123,
"externalId": "<string>"
},
"dateCreated": "<string>",
"transactionId": "<string>",
"signatureId": "<string>",
"transactionHash": "<string>",
"failureReason": "<string>"
}
],
"provider": "Figment"
}Retrieve the details of a specific stake.
curl --request GET \
--url https://api.dfns.io/staking/stakes/{stakeId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"walletId": "<string>",
"status": "Active",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"requestBody": {
"protocol": "Babylon",
"walletId": "<string>",
"provider": "Figment",
"amount": "<string>",
"duration": 123,
"externalId": "<string>"
},
"dateCreated": "<string>",
"protocol": "Babylon",
"data": {
"finalityProviders": [
"<string>"
],
"covenantPubkeys": [
"<string>"
],
"magicBytes": "<string>",
"covenantThreshold": 123,
"minUnbondingTime": 123,
"lockHeight": 123
},
"actions": [
{
"id": "<string>",
"stakeId": "<string>",
"status": "PendingPolicyApproval",
"kind": "Stake",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"requestBody": {
"protocol": "Babylon",
"walletId": "<string>",
"provider": "Figment",
"amount": "<string>",
"duration": 123,
"externalId": "<string>"
},
"dateCreated": "<string>",
"transactionId": "<string>",
"signatureId": "<string>",
"transactionHash": "<string>",
"failureReason": "<string>"
}
],
"provider": "Figment"
}CustomerEmployee)EndUser)Stakes:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
1Maximum number of items to return.
1 <= x <= 500Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.
1Success
Active, Failed, Staking, Unbonding, Unbond, Withdrawing, Withdrawn The user who initiated the request.
Show child attributes
Show child attributes
Babylon Show child attributes
Show child attributes
Figment Was this page helpful?